Subject: Re: bug#29885: 25.3; org-mode table messing up!

From: Marco Wahl <[email-masked]>
Date: Fri, 29 Dec 2017 10:01:23 +0100

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.orgmode as well.

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Thu, 28 Dec 2017 22:23:59 -0200
>> 
>> Starting from emacs -Q, table TABs are ok and does the job.

Could you provide an MWE?

>> But if I start with emacs (even without a .emacs file), i get something
>> like:
>> 
>> Table:
>> 
>> | a | a | a | a | a | a |  
>> |   |   |   |   |   |   |  
>> 
>> 
>> then I type something like:
>> 
>> 
>> 
>> | a | a | a | a | a | a |  
>> |   | sssssss |   |   |   |   |  
>> 
>> 
>> If i press TAB at the end... instead of lines aligned, i get:
>> 
>> | a | a       | a | a | a | a |
>> |   | sssssss |   |   |   |   |
>> 
>
> If the problem happens without a .emacs file, but does not happen in
> "emacs -Q", it means the reason is somewhere in the site-init files of
> your Emacs installation.  So I suggest to look at the init files
> loaded by Emacs, one of them is somehow causing this.

The described alignment of the colums behaves as documented AFAICT.  See
the info pages at (info "(org) Built-in table editor").

    "A table is re-aligned automatically each time you press <TAB> or
    <RET> or ‘C-c C-c’ inside the table."

Regards
       Marco